Summary:	Simple ecap samples
Name:		ecap-samples
Version:	1.0.0
Release:	%mkrel 4
License:	BSD
Group:		Networking/Other
URL:		http://www.ecap.org
Source0:	http://www.measurement-factory.com/tmp/ecap/ecap_adapter_sample-%{version}.tar.gz
Patch0:		ecap_adapter_sample-1.0.0-fix_build.patch
BuildRequires:	pkgconfig(libecap)
BuildRequires:	ecap

%description
The sample contains three basic adapters. Please see the README file in the tarball
for information about each adapter. The change log for the sample is also available.

%prep
%setup -qn ecap_adapter_sample-%{version}
%autopatch -p1

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE(\[\),\1foreign ,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_libdir}/ecap_adapter_*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1512076
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1297556
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 1.0.0-2.mga7
+ Revision: 1238071
- fix build on aarch64

* Fri Mar 04 2016 pterjan <pterjan> 1.0.0-1.mga6
+ Revision: 985665
- Update to 1.0.0 to support current libecap
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new libecap
+ daviddavid <daviddavid>
- rebuild for new ecap

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 745560
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 678920
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 533831
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dlucio <dlucio> 0.2.0-1.mga4
+ Revision: 475531
- 0.2.0
- P0 added
- imported package ecap-samples


* Wed Dec 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 625817
- 0.0.3

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-3mdv2011.0
+ Revision: 610334
- rebuild

* Thu Feb 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-2mdv2010.1
+ Revision: 510852
- Workarround to libecap
- import ecap-samples


